function [FEM_bd] = FEM_Misc(FEM_bd);
FEM_Misc_Actions = [	...
    'Set Title',     	'Action_Misc_Title.sci';		//1
    'Show Nodes ID',	'Action_Misc_ShowNodesID.sci';		//2
    'Show Elements ID',	'Action_Misc_ShowElemID.sci';		//3
    'Set colormap',	'Action_Misc_SetColormap.sci';		//4
    'Add colorbar',	'Action_Misc_AddColorbar.sci';		//5
    'Bounding box', 	'Action_Misc_BoundingBox.sci';		//6
    'Scaling ', 	'Menu_Misc_Scaling.sci']		//7

num_Misc = x_choose(FEM_Misc_Actions(:,1),'Misc menu');
select num_Misc
case 0 then
  return,
case 1
  Title_Str = x_mdialog('Enter Title', ' ',' ');
  Font = xget('font');
  xset('font',2,3);
  xtitle (Title_Str);
  xset('font',Font(1),Font(2));
case 2
  ID_Str = x_mdialog('Show ID', 'ID to show','1');
  ID = evstr(ID_Str);
  FEM_NodID(FEM_bd,ID);  
case 3
  FEM_bd('Color')=zeros(FEM_bd('NElem'));
  FEM_bd('Color')=FEM_bd('Connect')(:,5);
  FEM_PlotP0(FEM_bd);  
case 4
  Range_Str = x_mdialog('Colormap info', ['Min Color' ; 'Max Color' ; ...
	  'Size of the colormap'], ...
      [string(FEM_bd('Col_Rmin')) ; string(FEM_bd('Col_Rmax')) ; ...
	  string(size(FEM_bd('Clmap'),1))]);
  FEM_bd('Col_Rmin') = evstr(Range_Str(1));
  FEM_bd('Col_Rmax') = evstr(Range_Str(2));
  NB_Cols = evstr(Range_Str(3));
  FEM_colormaps = [ 'Jet'; 'Jet2'; 'Cool'; 'Gray1'; 'Gray3'; 'Scilab'];
  num_clmap = x_choose(FEM_colormaps, 'Choose a colormap');
  FEM_bd('Clmap') = Gen_Pal(FEM_colormaps(num_clmap),...
      mini(FEM_bd('Color')),maxi(FEM_bd('Color')),...
      FEM_bd('Col_Rmin'),FEM_bd('Col_Rmax'), ...
      NB_Cols);
case 5
  colorbar(mini(FEM_bd('Color')), maxi(FEM_bd('Color')))
case 6
  FEM_bd('BBox') = boundingbox(FEM_bd);
  BB_Str = x_mdialog('Type a new Bounding Box', ...
      ['X min' ; 'Y min' ; 'X max' ; 'Y max'] , ...
      [string(FEM_bd('BBox')(1)) ; string(FEM_bd('BBox')(2)) ; ...
	  string(FEM_bd('BBox')(3)) ; string(FEM_bd('BBox')(4))]);
  FEM_bd('BBox') = evstr(BB_Str)';
case 7
  Iso_Choice = ['Fit the window', '1' ;...
	  'Isoview', '3'];
  num_Iso = x_choose(Iso_Choice(:,1), 'Scaling property');
  FEM_bd('Strf') = '0'+Iso_Choice(num_Iso,2)+'1'
end ,
resume




