function[Pal]=GenPal(Pal_Str,V_min,V_max,C_min,C_max,Nb_Col)
// Generate a color colormap
// Can generate a colormap or a 'colorsubmap', i.e. a part of a colormap
// according to a color range (C_min, C_max) and a value range
// (V_min, V_max)
//
// For example if we want to be able to compair to sets of results
// with theoretical values in [0,1] but with avalue range
// in [0.5 1] for the first one and  [0.3,1] for the last one,
// we use GenPal(Jet, 0.5, 1, 0, 1, 64) for the firstr one and
//        GenPal(Jet, 0.3, 1, 0, 1, 64) for the last one.
//
// Pal_str : colormap name, in Jet, Jet2, Cool, Gray1, Gray3, Scilab
// Nb_Col  : number of colors in the colormap
if Pal_Str == 'Jet' then
  V_min = maxi(V_min, C_min);
  V_max = mini(V_max, C_max);
  for i = 1:Nb_Col;
    iC = V_min + (i - 1) / (Nb_Col-1) * (V_max-V_min) ;
    iC =  (iC - C_min)/(C_max - C_min) * 64;
    Pal(i,1) = Jet_Red(iC) ;
    Pal(i,2) = Jet_Green(iC) ;
    Pal(i,3) = Jet_Blue(iC) ;
  end
  elseif Pal_Str =='Jet2' then
end


// Various functions used to generate the Jet colormap


