function Menu_Main()
//FEM_Dummy=tlist(['FEM_Title';'FEM_Rec';'NNod';'NElem';'Coord';'Connect';...
//        'Disp';'Color';'Clmap';'Is_Col';'BBox';'Strf';'Col_Rmin','Col_Rmax'])
//
//      FEM_Title Plot Title
//
//      NNod    Number of nodes
//      NElem   Number of elements
//
//      Coord   (NNod,4) array
//              Coord(:,1) = Node number
//              Coord(:,2) = Node X coordinate
//              Coord(:,3) = Node Y Coordinate
//              Coord(:,4) = Node ID (Boundary Condition)
//      Connect Connectivity table (NElem,5)
//              Connect(:,1) = Elem Number
//              Connect(:,2) = First node
//              Connect(:,3) = Second node
//              Connect(:,4) = Third node
//              Connect(:,5) = Elem ID (Subdomain)
//
//      Disp    Displacement field (NNod,3) Array
//              Disp(:,1) = X displacement
//              Disp(:,2) = Y displacement
//              Disp(:,3) = Z displacement
//
//      Color   Colouring field (NElem or NNod,1) Array
//
//      Clmap   Colormap (nc,3) array (rgb value)
//
//      Is_Col  Boolean : Is coloured or not ?
//
//      BBox    (4)     : the Bounding Box of the plot
//                        [X_min, Y_min, X_max, Y_max]
//
//      Strf    string  : the strf flag for the plot2d command
//                        (see plot2d)
//
//      Col_Rmin Real   : minimum color range for builing the colormap
//
//      Col_Rmax Real   : maximum color range for builing the colormap
//                        (see Palettes.sci)

mode(-1);
WId = 0;
// Index of the current window
// could be used for multi windows plots, ..... later !
FEM_bd=tlist(['FEM_Rec';'FEM_Title';'NNod';'NElem';'Coord';'Connect';...
        'Disp';'Color';'Clmap';'Is_Col';'BBox';'Strf';'Col_Rmin';'Col_Rmax']);
FEM_bd('FEM_Title') = 0;
FEM_bd('NNod') = 0;
FEM_bd('NElem') = 0;
FEM_bd('Coord') = [];
FEM_bd('Connect') = [];
FEM_bd('Disp') = [];
FEM_bd('Color') = [];
FEM_bd('Clmap') = [];
FEM_bd('Is_Col') = %F;
FEM_bd('BBox')=[1,2,3,4];
FEM_bd('Strf')='011';

FEM_Main_Actions = [	...
    'Mesh ...',     	'Menu_Mesh.sci';
    'Displacement ...',	'Menu_Disp.sci';
    'Color ...',	'Menu_Color.sci';
    'Misc ...',		'Menu_Misc.sci';
    'Plot'  		'Action_Plot.sci';
    'About',		'Action_About.sci'] 
while %t then
  num_Main = x_choose(FEM_Main_Actions(:,1),'Main Menu');
  select num_Main
  case 0 then
    return,
  case 1 then
    FEM_bd=FEM_Mesh();
  case 2
    FEM_bd=FEM_Disp(FEM_bd);
  case 3
    FEM_bd=FEM_Color(FEM_bd);
  case 4
    FEM_bd=FEM_Misc(FEM_bd);
  case 5 then
    FEM_Plot(FEM_bd);
  case 6 then
    x_message([
	'            FEM Post Processing tools';
	' ';
	'            Blaise Bourdin, 1998-1999';
	'            LPMTM, Institut Galil\''ee';
	'             Universit\''e Paris-Nord';
	'         (bourdin@lpmtm.univ-paris13.fr)';
	'                       and';
	'            Department of Mathematics';
	'         Technical University of Denmark';
	'               (bourdin@mat.dtu.dk)';
	' ';
	'The file formats are these of the mesh generators';
	'         emc2 and bl2d, also from INRIA.';
	' ';
	'           Thank''s to the Scilab Team.';
	])
  end ,
end


