function [FEM_OUT]=mshR(File_name)
// Read a file describing a MESH of finite elements
// of triangle type
// The file is of msh type
FEM_OUT=tlist(['FEM_Rec';'FEM_Title';'NNod';'NElem';'Coord';'Connect';...
	'Disp';'Color';'Clmap';'Is_Col';'BBox';'Strf';'Col_Rmin';'Col_Rmax']);


[lhs,rhs]=argn(0)
if rhs == 0 ; File_name=xgetfile('*.msh'); end
unit=file('open',File_name,'old')
x = read(unit,1,2);
NN= x(1); NE = x(2);
FEM_OUT('NNod')=NN;
FEM_OUT('NElem')=NE;
FEM_OUT('Coord') = zeros(NN,4);
FEM_OUT('Connect') = zeros(NE,5);


FEM_OUT('Coord')(1:NN,2:4)=read(unit,NN,3);
FEM_OUT('Coord')(:,1) = [1:x(1)]';


FEM_OUT('Connect')(1:NE,2:4) = read(unit,NE,3);
FEM_OUT('Connect')(:,1) = [1:NE]';


file ('close',unit)


// Initialisation des autres champs de FEM_OUT
FEM_OUT('Disp') = zeros(NN,2);
FEM_OUT('Clmap')= xget('colormap');
FEM_OUT('Is_Col') = %F;
FEM_OUT('BBox') = boundingbox(FEM_OUT)
FEM_OUT('Strf')='011';
FEM_OUT('Col_Rmin') = 0;
FEM_OUT('Col_Rmax') = 1;
resume




